jsPsych is a JavaScript library for creating and running behavioral experiments in a web browser. jsPsych simplifies the process of coding browser-based experiments by providing a set of flexibile plugins that define different kinds of tasks a subject could complete during an experiment. By assembling different plugins together and customizing the parameters of each, it is possible to create many different types of experiments.

If creating your experiment is not possible with the current set of jsPsych plugins, consider [writing a new plugin](https://github.com/jodeleeuw/jsPsych/wiki/Create-a-Plugin). The core jsPsych library provides a framework for constructing experiments by managing the presentation of trials and recording data. It may be faster to develop a jsPsych compatible plugin than writing an experiment from scratch. You will also be able to take advantage of all of the other jsPsych plugins for basic tasks like displaying instructions.

Start Using jsPsych
-------------------

There are three ways to start exploring jsPsych.

1. Follow the [quickstart guide](https://github.com/jodeleeuw/jsPsych/wiki/Quickstart) to get a working jsPsych-ready repository to edit in under 2 minutes.
2. Work through the [in-depth tutorial](https://github.com/jodeleeuw/jsPsych/wiki/Getting-started) to gain an understanding of how jsPsych works.
3. Try out the [live demos of each jsPsych plugin](https://github.com/jodeleeuw/jsPsych/wiki/List-of-Plugins).


Documentation
-------------

Documentation is available in the [GitHub wiki](https://github.com/jodeleeuw/jsPsych/wiki).

Contributing
------------

Contributions to the code are welcome. Please use the [Issue tracker system](https://github.com/jodeleeuw/jsPsych/issues) to report bugs or discuss suggestions for new features and improvements. If you would like to contribute code, [submit a Pull request](https://help.github.com/articles/using-pull-requests).

Need help?
----------

For questions about using the library, please post to the [jsPsych e-mail list](https://groups.google.com/forum/#!forum/jspsych). This creates a publically available archive of questions and solutions.

Contact
-------

jsPsych was created by Josh de Leeuw ([@jodeleeu](https://github.com/jodeleeuw)) at Indiana University.

Citation
--------

If you use this library in academic work, please cite the [paper that describes jsPsych](http://link.springer.com/article/10.3758%2Fs13428-014-0458-y)

de Leeuw, J.R. (2014). jsPsych: A JavaScript library for creating behavioral experiments in a Web browser. *Behavior Research Methods*. Advance online publication. doi:10.3758/s13428-014-0458-y
